#include "bits/stdc++.h"
using namespace std;
#define int int64_t
// простые цифры: 2 3 5 7
// числа получается могут принимать вид 1111119
// тобишь перестановка из C(n, 1)

int slow(int l, int r) {
    int answer = 0;
    for (int i = l; i <= r; ++i) {
        int s = 1;
        int n = i;
        while (n > 0) {
            s *= n % 10;
            n /= 10;
        }
        if (s == 2 || s == 3 || s == 5 || s == 7) {
            cout << i << '\n';
            answer++;
        }
    }
    return answer;
}


bool isthat(const string &s) {
    int n = s.size();
    int cnt_ones = 0;
    int cnt_not_ones = 0;
    for (int i = 0; i < n; ++i) {
        if (s[i] - '0' == 1) {
            cnt_ones++;
            continue;
        }
        int d = s[i] - '0';
        if (d != 2 && d != 3 && d != 5 && d != 7) {
            return false;
        }
        cnt_not_ones++;
    }
    return cnt_ones == n - 1 && cnt_not_ones == 1;
}

int get(const string &r) {
    int n = r.size();
    int answer = 0;
    vector<bool> has_zero(n);
    for (int i = n - 1; i >= 0; --i) {
        int d = r[i] - '0';
        if (i + 1 < n) {
            has_zero[i] = has_zero[i + 1];
        }
        if (d == 0) {
            has_zero[i] = true;
        } else if (d > 1) {
            has_zero[i] = false;
        }
    }
    // for (int i = 0; i < n; ++i) {
    //     cout << "has zero " << i << ": " << has_zero[i] << endl;
    // }
    for (int i = 0; i < n; ++i) {
        // cout << "bit number " << i << endl;
        int d = r[i] - '0';
        if (d == 0) break;
        if (d > 1) {
            // 002000, 6 - 2 = 4 - 1 = 3
            int left = n - i - 1;
            answer += left * 4;
            // cout << i << "th bit > 1, left = " << left << ", adding " << left * 4 << endl;
        }
        if (d > 2) answer++;
        if (d > 3) answer++;
        if (d > 5) answer++;
        if (d > 7) answer++;
        if (i == n - 1 || !has_zero[i + 1]) {
            // cout << i << "th can be made equals to the prime digit\n";
            if (d == 2) answer++;
            if (d == 3) answer++;
            if (d == 5) answer++;
            if (d == 7) answer++;
        }
        // cout << "answer now: " << answer << endl;
        if (d != 1) break;
    }
    // cout << "prev answer: " << answer << endl;
    if (n > 1) {
        answer += 2 * (n * (n - 1));
    }
    return answer;
}
int fast(const string &l, const string &r) {
    int answer = get(r) - get(l);
    if (isthat(l)) answer++;
    return answer;
}

void stress() {
    mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
    #define uid(x, y) uniform_int_distribution<int>(x,y)(rng)
    while (true) {
        int l = uid(1, 20000);
        int r = uid(r, 200000);
        if (fast(to_string(l), to_string(r)) != slow(l, r)) {
            cout << l << ' ' << r << endl;
            cout << fast(to_string(l), to_string(r)) << ' ' << slow(l, r) << endl;
            break;
        }
    }
}

void solve() {
    string l, r;
    cin >> l >> r;
    cout << fast(l, r) << '\n';
    // cout << slow(stoi(l), stoi(r)) << '\n';
    // slow(1, stoi(l));
    // cout << fast("1", l) << endl;
}

signed main() {
    cin.tie(nullptr)->sync_with_stdio(false);
    int t = 1;
    // cin >> t;
    while (t--) solve();
}